/** @component checkbox */
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class CheckboxComponent implements ControlValueAccessor {
    private cdr;
    private elementRef;
    /** @prop indicates if single checkbox not in checkbox group | false */
    solo: boolean;
    /** @prop Optional CSS class name on checkbox input | '' */
    className: string;
    /** @prop String value that corresponds with Checkbox  | '' */
    value: any;
    /** @prop index of the checkbox in tab order */
    tabIndex: number;
    /** @prop angular form control */
    formControl: FormControl;
    /** @prop Optional css class string | ''  */
    class: string;
    /** @prop Sets the disabled attribute of the Input | false */
    disabled: boolean;
    /** @prop Help Text to appear under the radio | '' */
    helpText: string;
    /** @prop Optional indeterminate capabilities of checkbox | false */
    indeterminate: boolean;
    /** @prop Input label text | '' */
    label: string;
    /** @prop Optional required setting for Checkbox input | false */
    required: boolean;
    /** @prop Unique HTML ID. Used for tying label to HTML input | '' */
    htmlId: string;
    /** @prop sets value of the Checkbox input element | false */
    selectedItem: boolean;
    /** @prop Sets the attribute name to the Checkbox input element | '' */
    name: string;
    checkStatus: boolean;
    private _nestedLevel;
    /** @prop Sets optional checkbox nestedLevel | null */
    nestedLevel: number;
    /** @prop optional emitter to invoke an checkStatusChange handler when checkbox toggles */
    checkStatusChange: EventEmitter<any>;
    checked: boolean;
    list: any;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef);
    onListChange: Function;
    onListTouched: Function;
    writeValue(list: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    onClick(e: any): void;
    updateList(): void;
    handleChange(event: any): void;
    isChecked(): boolean;
    unCheck(): void;
    addCheck(): void;
}
