/** @component input */
import { AfterContentInit, AfterViewInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges, QueryList } from '@angular/core';
import { InputContainerService } from './input-container.service';
import { InputService } from '../input/input.service';
import { InputSectionComponent } from '../input-section/input-section.component';
import { InputMessageComponent } from '../input-message/input-message.component';
export declare class InputContainerComponent implements AfterContentInit, AfterViewInit, OnChanges, OnDestroy {
    private _changeDetectorRef;
    private inputService;
    private _explicitFormFieldControl;
    private _destroyed;
    protected _clear: boolean;
    protected _status: string;
    protected _isError: boolean;
    messages: Array<[]>;
    _helpTextId: string;
    /** @prop Optional css class string | ''  */
    class: string;
    /** @prop Optional button to clear input text | false */
    clear: boolean;
    /** @prop Optional clear aria label string | 'clear'  */
    clearAriaLabel: string;
    /** @prop Overall input container size | '' */
    containerSize: string;
    /** @prop Help Text to appear under the input | '' */
    helpText: string;
    /** @prop Input wrapper size | '' */
    inputSize: string;
    /** @prop Sets the filled class of the Input Container | false */
    isFilled: boolean;
    /** @prop Input label text | '' */
    label: string;
    /** @prop Array of objects with error type and error message */
    messageArr: any[];
    /** @prop Set the level of nested Input components | 0 */
    nestedLevel: number;
    /** @prop Secondary Input label | ''  */
    secondaryLabel: string;
    /** @prop Optional status to override error status | '' */
    status: string;
    _controlNonStatic: InputContainerService<any>;
    _controlStatic: InputContainerService<any>;
    _iconChildren: QueryList<InputSectionComponent>;
    _contentMessageChildren: QueryList<InputMessageComponent>;
    _viewMessageChildren: QueryList<InputMessageComponent>;
    _control: InputContainerService<any>;
    constructor(_changeDetectorRef: ChangeDetectorRef, inputService: InputService);
    readonly _class: string;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    handleClear(event: any): void;
    showClear(): boolean;
    private _determineStatus;
    private _filterMessagesByType;
    private _syncDescribedByIds;
    private _syncErrorState;
    private _syncInputPadding;
}
